%global namedreltag  -groovy-1.8
%global namedversion %{version}%{?namedreltag}
%global nameddottag  %(echo %{?namedreltag} | tr - . )
Name:          spock
Version:       0.7
Release:       0.4%{?nameddottag}%{?dist}
Summary:       A testing and specification framework
License:       ASL 2.0
URL:           http://code.google.com/p/spock/
# git clone git://github.com/spockframework/spock.git spock-0.6-groovy-1.8
# cd spock-0.6-groovy-1.8/ && git archive --format=tar --prefix=spock-0.6-groovy-1.8/ spock-0.6-groovy-1.8 | xz > spock-0.6-groovy-1.8-src-git.tar.xz
Source0:       https://github.com/spockframework/spock/archive/%{name}-%{namedversion}.tar.gz
Source1:       http://repo1.maven.org/maven2/org/spockframework/%{name}-core/%{namedversion}/%{name}-core-%{namedversion}.pom
Source2:       http://repo1.maven.org/maven2/org/spockframework/%{name}-guice/%{namedversion}/%{name}-guice-%{namedversion}.pom
Source3:       %{name}-%{namedversion}-build.xml

BuildRequires: java-devel

BuildRequires: ant
BuildRequires: antlr
BuildRequires: aopalliance
BuildRequires: apache-commons-cli
BuildRequires: cglib
BuildRequires: google-guice
BuildRequires: groovy
BuildRequires: hamcrest
BuildRequires: junit
BuildRequires: objectweb-asm3
BuildRequires: objenesis

Requires:      java
BuildArch:     noarch

%description
Spock is a testing and specification framework for Java and
Groovy applications.

%package core
Summary:       Spock Framework - Core Module
Requires:      ant
Requires:      cglib
Requires:      groovy
Requires:      hamcrest
Requires:      junit
Requires:      objectweb-asm3
Requires:      objenesis

%description core
Spock Framework - Core Module.

%package guice
Summary:       Spock Framework - Guice Module
Requires:      google-guice
Requires:      %{name}-core = %{version}-%{release}

%description guice
Spock Framework - Guice Module provides support for
testing Guice 2/3 based applications.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}
find . -name "*.class" -delete
find . -name "*.jar" -delete
cp -p %{SOURCE1} core-pom.xml
%pom_add_dep org.hamcrest:hamcrest-library:1.3:compile core-pom.xml
%pom_xpath_set "pom:dependencies/pom:dependency[pom:groupId ='junit']/pom:artifactId" junit core-pom.xml
%pom_xpath_set "pom:dependencies/pom:dependency[pom:groupId ='org.codehaus.groovy']/pom:artifactId" groovy core-pom.xml
%pom_xpath_set "pom:dependencies/pom:dependency[pom:groupId ='cglib']/pom:artifactId" cglib core-pom.xml
%pom_xpath_set "pom:dependencies/pom:dependency[pom:groupId ='asm']/pom:version" 3 core-pom.xml

cp -p %{SOURCE2} guice-pom.xml

cp -p %{SOURCE3} build.xml

%build

ant build javadoc

%install

# TODO spring requires org.springframework:spring-test
mkdir -p %{buildroot}%{_javadir}
for m in core guice; do
  install -m 644 %{name}-${m}/build/libs/%{name}-${m}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-${m}.jar
done

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 core-pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-core.pom
%add_maven_depmap -f core JPP-%{name}-core.pom %{name}-core.jar
install -pm 644 guice-pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-guice.pom
%add_maven_depmap -f guice JPP-%{name}-guice.pom %{name}-guice.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/api/* %{buildroot}%{_javadocdir}/%{name}

%files core -f .mfiles-core
%doc LICENSE NOTICE

%files guice -f .mfiles-guice
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE NOTICE

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-0.4.groovy.1.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 14 2013 gil cattaneo <puntogil@libero.it> 0.7-0.3.groovy.1.8
- use objectweb-asm3

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-0.2.groovy.1.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 04 2013 gil cattaneo <puntogil@libero.it> 0.7-0.1.groovy.1.8
- update to 0.7-groovy-1.8

* Tue Feb 19 2013 gil cattaneo <puntogil@libero.it> 0.6-0.5.groovy.1.8
- fixed google-guice in ant build script

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.4.groovy.1.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 29 2012 gil cattaneo <puntogil@libero.it> 0.6-0.3.groovy.1.8
- fixed guice depmap

* Thu Aug 02 2012 gil cattaneo <puntogil@libero.it> 0.6-0.2.groovy.1.8
- Removed nonexisting requires

* Wed Aug 01 2012 gil cattaneo <puntogil@libero.it> 0.6-0.1.groovy.1.8
- initial rpm